Name:           python-lammps-step
Version:        2025.6.23
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A SEAMM plug-in for LAMMPS, a forcefield-based molecular dynamics code.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        BSD-3-Clause
URL:            https://github.com/molssi-seamm/lammps_step
Source:         %{pypi_source lammps_step}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'lammps-step' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-lammps-step
Summary:        %{summary}

%description -n python3-lammps-step %_description


%prep
%autosetup -p1 -n lammps_step-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-lammps-step -f %{pyproject_files}


%changelog
%autochangelog